
#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace CheeseBreakout
{
    /// <summary>
    /// This is a game component that implements IUpdateable.
    /// </summary>
    public partial class BackDrop : Microsoft.Xna.Framework.DrawableGameComponent
    {
        public BackDrop(Game game)
            : base(game)
        {
            // TODO: Construct any child components here
        }

        private Texture2D backTexture;
        private Rectangle backRectangle;
        SpriteBatch spriteBatch;
        ContentManager content;

        /// <summary>
        /// Allows the game component to perform any initialization it needs to before starting
        /// to run.  This is where it can query for any required services and load content.
        /// </summary>
        public override void Initialize()
        {
            Game1 parent = this.Game as Game1;
            content = parent.content;
            this.DrawOrder = 0;
            base.Initialize();
        }

        protected override void LoadGraphicsContent(bool loadAllContent)
        {
            if (loadAllContent)
            {
                backTexture = content.Load<Texture2D>(@"Content\Textures\tablecloth");
                backRectangle = new Rectangle(0, 0, this.Game.Window.ClientBounds.Width, this.Game.Window.ClientBounds.Height);
                spriteBatch = new SpriteBatch(this.GraphicsDevice);
            }
            base.LoadGraphicsContent(loadAllContent);
        }

        /// <summary>
        /// Allows the game component to update itself.
        /// </summary>
        /// <param name="gameTime">Provides a snapshot of timing values.</param>
        public override void Update(GameTime gameTime)
        {
            // TODO: Add your update code here

            base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            spriteBatch.Begin(SpriteBlendMode.AlphaBlend);

            spriteBatch.Draw(backTexture, backRectangle, Color.White);

            spriteBatch.End();
            base.Draw(gameTime);
        }
    }
}


